## -*- coding: utf-8 -*-
## Copyright (C)2006 Ingeniweb

## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.

## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.

## You should have received a copy of the GNU General Public License
## along with this program; see the file COPYING. If not, write to the
## Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

from Products.CMFCore import DirectoryView
from Products.CMFCore import utils

import PloneWeatherForecastTool

## Register our directory in Zope
DirectoryView.registerDirectory("skins", globals())

## Save the globals for use in the Plone Quick Installer File
globalsFromInit = globals()

def initialize(context) :
    ## Register our tool
    utils.ToolInit(
        'Plone Weather Forecast Tool',
        tools=(PloneWeatherForecastTool.PloneWeatherForecastTool,), ## tuple with tool's class reference
        product_name='Plone Weather Forecast',
        icon='icon.png',
    ).initialize(context)


